%global git 1a64e7caefc60a9f71aca6f9efa9bd9632428775

%if ! 0%{?gobuild:1}
%define gobuild(o:) go build -ldflags "${LDFLAGS:-} -B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \\n')" -a -v -x %{?**}; 
%endif

Name:       lc-vpn-ca
Version:    0.0.0
Release:    0.1%{?dist}
Summary:    lc-vpn-ca is a simple CA intended for use with Let's Connect! VPN

License:    MIT
URL:        https://github.com/fkooman/lc-vpn-ca

%if %{defined git}
Source0:    https://github.com/fkooman/lc-vpn-ca/archive/%{git}/lc-vpn-ca-%{version}-%{git}.tar.gz
%else
Source0:    https://github.com/fkooman/lc-vpn-ca/releases/download/%{version}/lc-vpn-ca-%{version}.tar.xz
Source1:    https://github.com/fkooman/lc-vpn-ca/releases/download/%{version}/lc-vpn-ca-%{version}.tar.xz.minisig
Source2:    minisign-8466FFE127BCDC82.pub
%endif

BuildRequires:  minisign
BuildRequires:  %{?go_compiler:compiler(go-compiler)}%{!?go_compiler:golang}

%description
lc-vpn-ca is a simple CA intended for use with Let's Connect! & eduVPN.

%prep
%if %{defined git}
%setup -qn lc-vpn-ca-%{git}
%else
/usr/bin/minisign -V -m %{SOURCE0} -x %{SOURCE1} -p %{SOURCE2}
%setup -qn lc-vpn-ca-%{version}
%endif

%build
for cmd in lc-vpn-ca; do
  %gobuild -o _bin/$(basename $cmd) $cmd/main.go
done

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp _bin/*              %{buildroot}%{_bindir}/

%files
%{_bindir}/*

%doc README.md
%license LICENSE.txt

%changelog
* Fri Aug 16 2019 François Kooman <fkooman@tuxed.net> - 0.0.0-0.1
- initial package
